# Uses of Class
org.lwjgl.openal.ALCcontext

Packages that use ALCcontext
Package
Description
org.lwjgl.openal

## Uses of ALCcontext in org.lwjgl.openal

Methods in org.lwjgl.openal that return ALCcontext
Modifier and Type
Method
Description
`static ALCcontext`
ALC10.`alcCreateContext(ALCdevice device, IntBuffer attrList)`
A context is created using `alcCreateContext`.
`static ALCcontext`
ALC10.`alcGetCurrentContext()`
The application can query for, and obtain an handle to, the current context for the application.
`static ALCcontext`
AL.`getContext()`
Methods in org.lwjgl.openal with parameters of type ALCcontext
Modifier and Type
Method
Description
`static void`
ALC10.`alcDestroyContext(ALCcontext context)`
The correct way to destroy a context is to first release it using `alcMakeCurrent` and `null`.
`static ALCdevice`
ALC10.`alcGetContextsDevice(ALCcontext context)`
The application can query for, and obtain an handle to, the device of a given context.
`static int`
ALC10.`alcMakeContextCurrent(ALCcontext context)`
To make a Context current with respect to AL Operation (state changes by issueing commands), `alcMakeContextCurrent` is used.
`static void`
ALC10.`alcProcessContext(ALCcontext context)`
The current context is the only context accessible to state changes by AL commands (aside from state changes affecting shared objects).
`static void`
ALC10.`alcSuspendContext(ALCcontext context)`
The application can suspend any context from processing (including the current one).
`static void`
Util.`checkALCValidContext(ALCcontext context)`
Checks for a valid context